Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.admin
Class DelegatedAdminSecurityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.bea.p13n.exceptions.SystemException
                              |
                              +--com.bea.portal.admin.DelegatedAdminSecurityException

public class DelegatedAdminSecurityException
extends SystemException

SecurityException thrown by the DelegatedAdminManager EJB

See Also:
  `SystemException`, Serialized Form

Constructor Summary
`DelegatedAdminSecurityException(java.lang.String username, java.lang.String resource)` Constructor
`DelegatedAdminSecurityException(java.lang.String message, java.lang.String username, java.lang.String resource)` Constructor
`DelegatedAdminSecurityException(java.lang.String message, java.lang.Throwable t, java.lang.String username, java.lang.String resource)` Constructor
`DelegatedAdminSecurityException(java.lang.Throwable t, java.lang.String username, java.lang.String resource)` Constructor

Method Summary
`java.lang.String` | `getResource()`
`java.lang.String` | `getUsername()`

Methods inherited from class com.bea.p13n.exceptions.SystemException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegatedAdminSecurityException

    public DelegatedAdminSecurityException(java.lang.String username,
                                           java.lang.String resource)

  Constructor

  Parameters:
    `username` - the user trying to access the resource
    `resource` - the resource

### DelegatedAdminSecurityException

    public DelegatedAdminSecurityException(java.lang.String message,
                                           java.lang.String username,
                                           java.lang.String resource)

  Constructor

  Parameters:
    `message` - String representing the Exception message
    `username` - the user trying to access the resource
    `resource` - the resource

### DelegatedAdminSecurityException

    public DelegatedAdminSecurityException(java.lang.String message,
                                           java.lang.Throwable t,
                                           java.lang.String username,
                                           java.lang.String resource)

  Constructor

  Parameters:
    `message` - String representing the Exception message
    `t` - Throwable object representing the wrapped or chained exception
    `username` - the user trying to access the resource
    `resource` - the resource

### DelegatedAdminSecurityException

    public DelegatedAdminSecurityException(java.lang.Throwable t,
                                           java.lang.String username,
                                           java.lang.String resource)

  Constructor

  Parameters:
    `t` - Throwable object representing the wrapped or chained exception
    `username` - the user trying to access the resource
    `resource` - the resource

Method Detail

### getUsername

    public java.lang.String getUsername()

  Returns:
    username

### getResource

    public java.lang.String getResource()

  Returns:
    resource

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved